Skip to main content
GET
Get Postgres time-series metrics
Beta This endpoint is in beta. API contract is stable, and no breaking changes are expected in the future.

Returns bucketed time-series metrics for a PostgreSQL service over the requested window (CPU, memory, disk, network, connections, cache hit ratio, throughput, transactions, and more). Use this to chart or analyze how a service behaved over time.

Authorizations

Authorization
string
header
required

Use key ID and key secret obtained in ClickHouse Cloud console: https://clickhouse.com/docs/cloud/manage/openapi

Path Parameters

organizationId
string<uuid>
required

ID of the organization that owns the Postgres service.

postgresId
string<uuid>
required

ID of the Postgres service.

Query Parameters

from_date
string<date-time>
required

Inclusive start of the time window (RFC 3339 date-time).

to_date
string<date-time>
required

Exclusive end of the time window (RFC 3339 date-time).

bucket_size_seconds
integer

Time-series bucket size in seconds. When omitted, a bucket size is derived from the requested window. Requests are capped at 250 data points.

Required range: x >= 1

Response

Successful response

status
number

HTTP status code.

Example:

200

requestId
string<uuid>

Unique id assigned to every request. UUIDv4

result
object
Last modified on July 9, 2026